## ros-melodic-rostest 1.14.10

=== debian/changelog ===
ros-melodic-rostest (1.14.10-1stretch) stretch; urgency=high

  * Fix paramtest for empty values of a parameter (#2054 <https://github.com/ros/ros_comm/issues/2054>)
  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Install advertisetest (#2046 <https://github.com/ros/ros_comm/issues/2046>)
  * Contributors: Jacob Perron, Levko Ivanchuk, Shane Loretz, beetleskin, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-rostest (1.14.9-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-rostest (1.14.8-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-rostest (1.14.7-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rostest (1.14.6-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rostest (1.14.5-1stretch) stretch; urgency=high

  * increase time limit of advertisetest/publishtest.test to reduce flakyness (#1897 <https://github.com/ros/ros_comm/issues/1897>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rostest (1.14.4-1stretch) stretch; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * more Python 3 compatibility (#1795 <https://github.com/ros/ros_comm/issues/1795>)
  * rostest: add advertisetest (#1761 <https://github.com/ros/ros_comm/issues/1761>)
  * fix flaky hztests (#1661 <https://github.com/ros/ros_comm/issues/1661>)
  * use AnyMsg in publishtest (#1659 <https://github.com/ros/ros_comm/issues/1659>)
  * fix various test problems (#1601 <https://github.com/ros/ros_comm/issues/1601>)
  * invoke rostest from CMake with the PYTHON_EXECUTABLE (#1583 <https://github.com/ros/ros_comm/issues/1583>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rostest (1.14.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rostest (1.14.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rostest (1.14.1-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rostest (1.14.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rostest (1.13.6-1stretch) stretch; urgency=high

  * add_rostest_gmock function (#1303 <https://github.com/ros/ros_comm/issues/1303>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rostest (1.13.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rostest (1.13.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rostest (1.13.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-rostest (1.13.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-rostest (1.13.1-1stretch) stretch; urgency=high

  * check clock publication neatly in publishtest (#973 <https://github.com/ros/ros_comm/issues/973>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-rostest (1.13.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-melodic-rostest (1.12.7-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-melodic-rostest (1.12.6-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-melodic-rostest (1.12.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-melodic-rostest (1.12.4-1stretch) stretch; urgency=high

  * fix test type handling (#722 <https://github.com/ros/ros_comm/issues/722>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-melodic-rostest (1.12.3-1stretch) stretch; urgency=high

  * add test node if topic message is published at least once (#863 <https://github.com/ros/ros_comm/issues/863>)
  * add_rostest_gtest does now add the created gtest-target as a dependeny to the created rostest (#830 <https://github.com/ros/ros_comm/pull/830>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-melodic-rostest (1.12.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-melodic-rostest (1.12.1-1stretch) stretch; urgency=high

  * fix passing multiple args to add_rostest (fix #790 <https://github.com/ros/ros_comm/issues/790>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-melodic-rostest (1.12.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-melodic-rostest (1.11.18-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-melodic-rostest (1.11.17-1stretch) stretch; urgency=high

  * rostest.rosrun now generates coverage reports (#558 <https://github.com/ros/ros_comm/issues/558>)
  * rostest can load tests from a dotted name (#722 <https://github.com/ros/ros_comm/issues/722>)
  * include GTEST_INCLUDE_DIRS so that the proper gtest headers are found (#727 <https://github.com/ros/ros_comm/issues/727>)


## ros-melodic-rostest 1.14.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rostest)

find_package(catkin COMPONENTS rosunit)
find_package(Boost COMPONENTS system thread)

include_directories(include ${Boost_INCLUDE_DIRS})

catkin_package(DEPENDS Boost
  INCLUDE_DIRS include
  CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
  )
catkin_python_setup()

catkin_install_python(
  PROGRAMS nodes/advertisetest nodes/hztest nodes/paramtest nodes/publishtest
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/nodes)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  find_package(catkin COMPONENTS rostest)

  catkin_add_gtest(test_permuter test/test_permuter.cpp)
  if(TARGET test_permuter)
    target_link_libraries(test_permuter ${Boost_LIBRARIES})
  endif()

  add_rostest(test/hztest0.test)
  add_rostest(test/hztest.test)
  add_rostest(test/publishtest.test)
  add_rostest(test/clean_master.test)
  add_rostest(test/distro_version.test)
  add_rostest(test/param.test)
  add_rostest(test/advertisetest.test)
endif()

=== debian/changelog ===
ros-melodic-rostest (1.14.13-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-melodic-rostest (1.14.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 07:00:00 -0000

ros-melodic-rostest (1.14.11-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-melodic-rostest (1.14.10-1bionic) bionic; urgency=high

  * Fix paramtest for empty values of a parameter (#2054 <https://github.com/ros/ros_comm/issues/2054>)
  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Install advertisetest (#2046 <https://github.com/ros/ros_comm/issues/2046>)
  * Contributors: Jacob Perron, Levko Ivanchuk, Shane Loretz, beetleskin, Tomoya Fujita

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-rostest (1.14.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-rostest (1.14.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-rostest (1.14.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rostest (1.14.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rostest (1.14.5-1bionic) bionic; urgency=high

  * increase time limit of advertisetest/publishtest.test to reduce flakyness (#1897 <https://github.com/ros/ros_comm/issues/1897>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rostest (1.14.4-1bionic) bionic; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * more Python 3 compatibility (#1795 <https://github.com/ros/ros_comm/issues/1795>)
  * rostest: add advertisetest (#1761 <https://github.com/ros/ros_comm/issues/1761>)
  * fix flaky hztests (#1661 <https://github.com/ros/ros_comm/issues/1661>)
  * use AnyMsg in publishtest (#1659 <https://github.com/ros/ros_comm/issues/1659>)
  * fix various test problems (#1601 <https://github.com/ros/ros_comm/issues/1601>)
  * invoke rostest from CMake with the PYTHON_EXECUTABLE (#1583 <https://github.com/ros/ros_comm/issues/1583>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rostest (1.14.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rostest (1.14.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rostest (1.14.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rostest (1.14.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rostest (1.13.6-1bionic) bionic; urgency=high

  * add_rostest_gmock function (#1303 <https://github.com/ros/ros_comm/issues/1303>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rostest (1.13.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rostest (1.13.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rostest (1.13.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-rostest (1.13.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-rostest (1.13.1-1bionic) bionic; urgency=high

  * check clock publication neatly in publishtest (#973 <https://github.com/ros/ros_comm/issues/973>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-rostest (1.13.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-melodic-rostest (1.12.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-melodic-rostest (1.12.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-melodic-rostest (1.12.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-melodic-rostest (1.12.4-1bionic) bionic; urgency=high

  * fix test type handling (#722 <https://github.com/ros/ros_comm/issues/722>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-melodic-rostest (1.12.3-1bionic) bionic; urgency=high

  * add test node if topic message is published at least once (#863 <https://github.com/ros/ros_comm/issues/863>)
  * add_rostest_gtest does now add the created gtest-target as a dependeny to the created rostest (#830 <https://github.com/ros/ros_comm/pull/830>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-melodic-rostest (1.12.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-melodic-rostest (1.12.1-1bionic) bionic; urgency=high

  * fix passing multiple args to add_rostest (fix #790 <https://github.com/ros/ros_comm/issues/790>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-melodic-rostest (1.12.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-melodic-rostest (1.11.18-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000



=== debian/control ===
Source: ros-melodic-rostest
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin (>= 0.7.9), ros-melodic-rosunit
Homepage: http://ros.org/wiki/rostest
Standards-Version: 3.9.2

Package: ros-melodic-rostest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-rosgraph, ros-melodic-roslaunch, ros-melodic-rosmaster, ros-melodic-rospy, ros-melodic-rosunit
Description: Integration test suite based on roslaunch that is compatible with xUnit frameworks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rostest//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
